$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER STATUS
      INTEGER FG_MOUSEINI

      CALL FG_INITPM
      CALL FG_SETMODE(-1)
      STATUS = FG_MOUSEINI()

      IF (STATUS .LT. 0) THEN
         WRITE(6,*) 'Mouse not available.'
      ELSE
         WRITE(6,*) STATUS, ' button mouse found.'
      END IF

      STOP ' '
      END
